Package org.eclipse.rdf4j.query.resultio

## Class AbstractQueryResultIOBooleanTest

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultIOTest
  - - org.eclipse.rdf4j.query.resultio.AbstractQueryResultIOBooleanTest

-     public abstract class AbstractQueryResultIOBooleanTest
      extends AbstractQueryResultIOTest

  Abstract test for QueryResultIO.
  Author:
    jeen, Peter Ansell

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractQueryResultIOBooleanTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract BooleanQueryResultFormat` | `getBooleanFormat()` |
    `protected QueryResultFormat` | `getFormat()` |
    `protected abstract TupleQueryResultFormat` | `getMatchingTupleFormatOrNull()` |
    `void` | `testBooleanEmptyLinks()` |
    `void` | `testBooleanEmptyLinksOnly()` |
    `void` | `testBooleanMultipleLinks()` |
    `void` | `testBooleanMultipleLinksOnly()` |
    `void` | `testBooleanMultipleLinksWithStylesheet()` |
    `void` | `testBooleanNoHandler()` |
    `void` | `testBooleanNoLinks()` |
    `void` | `testBooleanOneLink()` |
    `void` | `testBooleanOneLinkOnly()` |
    `void` | `testBooleanParseNoHandlerOnTupleResultsMultipleBindingsMultipleBindingSets()` |
    `void` | `testBooleanParseNoHandlerOnTupleResultsNoResults()` |
    `void` | `testBooleanParseNoHandlerOnTupleResultsSingleVarMultipleBindingSets()` |
    `void` | `testInvalidBooleanAfterStartQueryResult()` |
    `void` | `testMultipleResultsAndStylesheet()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultIOTest

      `assertQueryResultsEqual, createTupleMultipleBindingSets, createTupleNoBindingSets, createTupleSingleVarMultipleBindingSets, doBooleanLinks, doBooleanLinksAndStylesheet, doBooleanLinksAndStylesheetAndNamespaces, doBooleanLinksOnly, doBooleanNoHandler, doBooleanNoLinks, doBooleanParseNoHandlerOnTupleResults, doBooleanStylesheet, doInvalidBooleanAfterStartQueryResult, doTupleJSONPCallback, doTupleLinks, doTupleLinksAndStylesheet, doTupleLinksAndStylesheetAndNamespaces, doTupleLinksAndStylesheetAndNamespacesQName, doTupleLinksAndStylesheetMultipleEndHeaders, doTupleLinksAndStylesheetNoStarts, doTupleMissingStartQueryResult, doTupleNoHandler, doTupleNoLinks, doTupleParseNoHandlerOnBooleanResults, doTupleStylesheet, getFileName, getNamespaces, getNamespacesWithEmpty, parseTupleInternal, testGetParserFormatForFileNameString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQueryResultIOBooleanTest

          public AbstractQueryResultIOBooleanTest()

  - ### Method Detail

    - #### getFormat

          protected final QueryResultFormat getFormat()

      Specified by:
        `getFormat` in class `AbstractQueryResultIOTest`

    - #### getBooleanFormat

          protected abstract BooleanQueryResultFormat getBooleanFormat()

      Returns:
        The `BooleanQueryResultFormat` that this test is running against.

    - #### getMatchingTupleFormatOrNull

          protected abstract TupleQueryResultFormat getMatchingTupleFormatOrNull()

      Returns:
        The `TupleQueryResultFormat` that may be parsed by the same parser as the one for `getBooleanFormat()`, or null if this functionality is not supported.

    - #### testBooleanNoLinks

          @Test
          public final void testBooleanNoLinks()
                                        throws Exception

      Throws:
        `Exception`

    - #### testBooleanEmptyLinks

          @Test
          public final void testBooleanEmptyLinks()
                                           throws Exception

      Throws:
        `Exception`

    - #### testBooleanOneLink

          @Test
          public final void testBooleanOneLink()
                                        throws Exception

      Throws:
        `Exception`

    - #### testBooleanMultipleLinks

          @Test
          public final void testBooleanMultipleLinks()
                                              throws Exception

      Throws:
        `Exception`

    - #### testBooleanEmptyLinksOnly

          @Test
          public final void testBooleanEmptyLinksOnly()
                                               throws Exception

      Throws:
        `Exception`

    - #### testBooleanOneLinkOnly

          @Test
          public final void testBooleanOneLinkOnly()
                                            throws Exception

      Throws:
        `Exception`

    - #### testBooleanMultipleLinksOnly

          @Test
          public final void testBooleanMultipleLinksOnly()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testBooleanMultipleLinksWithStylesheet

          @Test
          public final void testBooleanMultipleLinksWithStylesheet()
                                                            throws Exception

      Throws:
        `Exception`

    - #### testMultipleResultsAndStylesheet

          @Test
          public final void testMultipleResultsAndStylesheet()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testInvalidBooleanAfterStartQueryResult

          @Test
          public final void testInvalidBooleanAfterStartQueryResult()
                                                             throws Exception

      Throws:
        `Exception`

    - #### testBooleanNoHandler

          @Test
          public final void testBooleanNoHandler()
                                          throws Exception

      Throws:
        `Exception`

    - #### testBooleanParseNoHandlerOnTupleResultsNoResults

          @Test
          public final void testBooleanParseNoHandlerOnTupleResultsNoResults()
                                                                      throws Exception

      Throws:
        `Exception`

    - #### testBooleanParseNoHandlerOnTupleResultsSingleVarMultipleBindingSets

          @Test
          public final void testBooleanParseNoHandlerOnTupleResultsSingleVarMultipleBindingSets()
                                                                                         throws Exception

      Throws:
        `Exception`

    - #### testBooleanParseNoHandlerOnTupleResultsMultipleBindingsMultipleBindingSets

          @Test
          public final void testBooleanParseNoHandlerOnTupleResultsMultipleBindingsMultipleBindingSets()
                                                                                                throws Exception

      Throws:
        `Exception`